Loading...
Searching...
No Matches
raptor::index_factory Class Reference

## Public Member Functions

| index_factory (build_arguments const &args)
| index_factory (build_arguments const &args, partition_config const &cfg)
| index_factory (index_factory &&)=default
| index_factory (index_factory const &)=default
raptor_index | operator() (size_t const part=0u) const
index_factory & | operator= (index_factory &&)=default
index_factory & | operator= (index_factory const &)=default

## Private Member Functions

raptor_index | construct (size_t const part) const

## Private Attributes

build_arguments const *const | arguments {nullptr}
partition_config const *const | config {nullptr}
std::variant< file_reader< file_types::sequence >, file_reader< file_types::minimiser > > | reader

The documentation for this class was generated from the following file:

- index_factory.hpp